List balances

Beta
<Warning title="Beta" icon="robot-astromech"> Balances is a **beta** feature. We're actively improving this API based on your feedback. </Warning> Returns a list of balances for a customer matching the given query parameters. Scopes: `BALANCES_READ`

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

customer_idstringRequired1-128 characters
ID of the customer whose balances will be listed.
typeenumRequired
The type of balances to list.
Allowed values:
grant_idstringOptional1-256 characters

ID of the grant that authorizes reading the customer’s balances. This grant is created when a customer approves a CHECKING_BALANCE action in the Customer Request API.

cursorstringOptional>=1 character
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-100Defaults to 50
Maximum number of balances to return.

Response

OK
balanceslist of objects
List of balances matching the given query parameters.
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error